import request from '@/utils/request'

// 查询开卡申请列表
export function listOpen(query) {
  return request({
    url: '/dz/open/list',
    method: 'get',
    params: query
  })
}

// 查询开卡申请详细
export function getOpen(id) {
  return request({
    url: '/dz/open/' + id,
    method: 'get'
  })
}

// 新增开卡申请
export function addOpen(data) {
  return request({
    url: '/dz/open',
    method: 'post',
    data: data
  })
}

// 审核开卡申请
export function updateOpen(data) {
  return request({
    url: '/dz/open/audit',
    method: 'post',
    data: data
  })
}

// 删除开卡申请
export function delOpen(id) {
  return request({
    url: '/dz/open/' + id,
    method: 'delete'
  })
}
